
GammaLib - Change request #2695

Allow RoI centres different from pointing direction in unbinned analysis

10/08/2018 01:50 PM - Knödlseder Jürgen

Status: Closed Start date: 10/08/2018

Priority: Urgent Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.7.0   

Description

So far the npred() methods of GCTAModelAeffBackground, GCTAModelIrfBackground and GCTAModelBackground assume that the

RoI centre is identical to the pointing direction. Although this may often be the case, the more general case of a different RoI centre

should be covered. For now, an exception will be thrown in the pointing direction differs from the RoI centre.

Related issues:

Related to GammaLib - Feature # 2694: Implement more complex background model... Closed 10/04/2018

History

#1 - 10/08/2018 01:50 PM - Knödlseder Jürgen

- Related to Feature #2694: Implement more complex background models for H.E.S.S. data analysis added

#2 - 01/21/2019 03:27 PM - Knödlseder Jürgen

- Target version deleted (1.6.0)

Postpone to release after 1.6.0

#3 - 02/03/2020 12:12 PM - Knödlseder Jürgen

- Assigned To set to Knödlseder Jürgen

- Priority changed from Normal to Urgent

- Target version set to 1.7.0

#4 - 02/17/2020 12:26 PM - Knödlseder Jürgen

- Status changed from New to Pull request

- % Done changed from 0 to 100

I modified the code so that RoI centres different from the pointing direction are supported. The classes that were modified are:

GCTAModelAeffBackground

GCTAModelIrfBackground

GCTAModelSpatial

Note that GCTAModelRadialAcceptance allowed already RoI centres differents from the pointing direction. I therefore wrote a script

inst/cta/test/dev/test_background_npred.py that compares the npred computation for RoI centre different from the pointing direction between

GCTAModelRadialAcceptance and GCTAModelSpatial models that are intrinsically identical. Within a relative precision of 1e-4, the results were

indeed identical.

#5 - 02/17/2020 01:57 PM - Knödlseder Jürgen
- Status changed from Pull request to Closed

Merged into devel.
